TICKIT_NEW_STDIO(3)

NAME
tickit_new_stdio - create a new toplevel Tickit instance

SYNOPSIS
    #include <tickit.h>

    Tickit *tickit_new_stdio(void);
    Tickit *tickit_new_stdtty(void);

Link with -ltickit.

DESCRIPTION
tickit_new_stdio() creates a new toplevel Tickit instance whose terminal is attached to the standard input and output streams.

tickit_new_stdtty() creates a new toplevel Tickit instance whose terminal is attached to the first terminal found among the standard input, output and error streams. This gives better results if the containing program is likely to be invoked with shell redirection on either input or output (e.g. similar to less).

The reference count of a newly-constructed toplevel instance will be one. This can be incremented or decremented using tickit_ref(3) and tickit_unref(3). When its reference count reaches zero it is destroyed.

RETURN VALUE
If successful, tickit_new_stdio() and tickit_new_stdtty() return a pointer to the new instance.

SEE ALSO
tickit(7)